Developer Kit

This is a package of Apache2 handlers to automatically compile and minify LESS/SCSS/CSS/JS. It is intended to be used with LiteCart 2.0+ when making changes to LESS or JS files and automatically update the minifed versions.

Just access a file by it's URL. Depending on the extension the following actions will be performed.

.min.css - Generate and return compressed .min.css file from a .less, .scss or .css file.
.css - Generate and return an uncompressed .css file from a .less or .scss file.
.min.js - Generate and return a compressed .min.js from a .js file.

Accessing /path/to/css/file.min.css will attempt the following detection order:

1. Update /path/to/css/file.min.css from /path/to/less/file.less and return the updated content.
2. Update /path/to/css/file.min.css from /path/to/scss/file.scss and return the updated content.
3. Update /path/to/css/file.min.css from /path/to/css/file.css and return the updated content.
4. Return /path/to/css/file.min.css the way it is.

In Chrome when displaying a page. Use Ctrl + F5 to force refresh all components and flush browser cache. CloudFlare users should turn off CDN cache. That's pretty much it.

Note: This package is a performance drainer and is not intended to be used in a production environment. Use in a development environment where the minified versions are instead deployed (copied) to production.

Dependencies that are embedded with this add-on are:
JShrink - https://github.com/tedious/JShrink
Less.php - https://github.com/oyejorge/less.php/
SCSSPHP - http://leafo.net/scssphp

And.. yes! Map files are generated from LESS sources (not supported in SCSS).

Pris: Gratis

Nedladdningar

[+] Developer Kit

Version 2019-01-28 | Uppladdad 28 Jan 2019 av litecart

* Minor adjustments and updates

Kompatibla versioner: 2.0, 2.0.1, 2.0.2, 2.1, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.1.5
Paketet kan vara kompatibelt med fler versioner än noterat. Kontakta skaparen för mer information.

[+] Developer Kit

Version 1.0 | Uppladdad 21 Mar 2017 av litecart

Kompatibla versioner: 2.0, 2.0.1, 2.0.2
Paketet kan vara kompatibelt med fler versioner än noterat. Kontakta skaparen för mer information.

Skapare

litecart

Sweden

Kontakt

Miniforum

Ämnestråd Senaste inlägg
Can't get Developer kit working..
av wizzycliffy
16 okt 2017 10:37
av theoden
Font awesome + Developer Kit proble...
av katalkin007
30 maj 2017 17:37
av katalkin007